#
# spec file for package [spectemplate]
#
# Copyright (c) __YEAR__ SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{!?__pear: %{expand: %%global __pear %{_bindir}/pear}}
%define pear_name %(echo %{name} | sed -e 's/^php-pear-//' -e 's/-/_/g')
%define peardir %(pear config-get php_dir 2> /dev/null || echo %{_datadir}/pear)
%define pear_xmldir  /var/lib/pear
Name:           
Version:        
Release:        0
Summary:        
License:        
Group:          
Url:            http://pear.php.net/package/%{pear_name}
Source0:        http://pear.php.net/get/%{pear_name}-%{version}.tgz
BuildRequires:  php-pear >= 5.1.1
Requires:       php
Requires:       php5-pear
Requires(post): pear
Requires(postun): pear
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description


%prep
%setup -q -c -T

%build
# Empty build section, most likely nothing required.

%install
cd %{pear_name}-%{version}
rm -rf docdir
%{__pear} install --nodeps --packagingroot %{buildroot} %{pear_name}.xml

# Move documentation
mkdir -p docdir
mv %{buildroot}%{pear_docdir}/* docdir

# Clean up unnecessary files
rm -rf %{buildroot}%{pear_phpdir}/.??*

# Install XML package description
mkdir -p %{buildroot}%{pear_xmldir}
install -pm 644 %{pear_name}.xml %{buildroot}%{pear_xmldir}

%post
%{__pear} install --nodeps --soft --force --register-only \
    %{pear_xmldir}/%{pear_name}.xml >/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    %{__pear} uninstall --nodeps --ignore-errors --register-only \
        %{pear_name} >/dev/null || :
fi

%files
%defattr(-,root,root)
%doc %{pear_name}-%{version}/docdir/%{pear_name}/*
%{pear_xmldir}/%{pear_name}.xml
%{pear_testdir}/%{pear_name}
%{pear_datadir}/%{pear_name}
# Expand this as needed to avoid owning dirs owned by our dependencies
%{pear_phpdir}/*

%changelog
